
function jingqb(){
	
}
//
jingqb.prototype.nativeRefresh=function(){
	if(plus.webview.currentWebview().parent()){
		plus.webview.currentWebview().parent().evalJS('nativeRefresh();');
	}
}

// 关闭页面
jingqb.prototype.nativeClose=function(){
	if(plus.webview.currentWebview().parent()){
		plus.webview.currentWebview().parent().evalJS('nativeClose();');
	}
}

// 返回
jingqb.prototype.nativeGoBack=function(){
	if(plus.webview.currentWebview().parent()){
		plus.webview.currentWebview().parent().evalJS('nativeGoBack();');
	}
}

// 创建新的页面
jingqb.prototype.createNativeWebview=function(url,title){
	if(plus.webview.currentWebview().parent()){
		title ? plus.webview.currentWebview().parent().evalJS('createNativeWebview("'+url+'","'+title+'");') : plus.webview.currentWebview().parent().evalJS('createNativeWebview("'+url+'");');
	}
}

// 数据保存
jingqb.prototype.nativeSaveItem=function(key,value){
	if (arguments.length == 0) {
		return; 
	}
	if (arguments.length == 1) { 
		plus.storage.setItem('jingqb_allwin_'+key, key);
		return; 
	}
	plus.storage.setItem('jingqb_allwin_'+key, value+'');
}

// 获取存储信息
jingqb.prototype.nativeGetItem=function(key,defaultValue){
	var value = plus.storage.getItem('jingqb_allwin_'+key);
	if (value === null) {
		return defaultValue;
	} else {
		return plus.storage.getItem('jingqb_allwin_'+key);
	}
}
// 获取用户信息
jingqb.prototype.nativeGetUserInfo=function(){
	var userinfo =  {
		accessToken: plus.storage.getItem('accessToken'),
		userid: plus.storage.getItem('userid'),
		nickName: plus.storage.getItem('nickName'),
		name: plus.storage.getItem('name'),
		idVerified: plus.storage.getItem('idVerified'),
		shieldedMobile: plus.storage.getItem('shieldedMobile'),
		companyVerified: plus.storage.getItem('companyVerified'),
		riskLevel: plus.storage.getItem('riskLevel'),
		riskLevelName: plus.storage.getItem('riskLevelName'),
		shieldedIdNo: plus.storage.getItem('shieldedIdNo'),
		idTypeName: plus.storage.getItem('idTypeName'),
		idType: plus.storage.getItem('idType'),
		tradePasswordExisted: plus.storage.getItem('tradePasswordExisted'),
		approvedStatus: plus.storage.getItem('approvedStatus'),
		approvedStatusDesc: plus.storage.getItem('approvedStatusDesc'),
		rejectReason: plus.storage.getItem('rejectReason'),
		suggestion: plus.storage.getItem('suggestion'),
		bankCardBinded: plus.storage.getItem('bankCardBinded'),
		faceValid: plus.storage.getItem('faceValid'),
		contactEmail: plus.storage.getItem('contactEmail'),
		customerLevel: plus.storage.getItem('customerLevel'),
		isQualifiedInvestor: plus.storage.getItem('isQualifiedInvestor'),
		canBuyTrustProduct: plus.storage.getItem('canBuyTrustProduct')
	}
	return JSON.stringify(userinfo);
}
// 分享功能:分享类型shareType【QQSceneSession】【WXSceneSession】，标题 title, 描述 description, 分享媒体类型 media, 分享地址 url, 图片base64 imageBase64
jingqb.prototype.nativeShare=function(title,description,imageBase64,media,url){
	var shareService = {};
	var shareServiceEntity = null;
	var shareServiceEntityType = '';
	function shareServices(title,description,imageBase64,media,url){
		plus.share.getServices(function(services){
			 clearInterval(timer)
			for(var i in services){
				shareService[services[i].id] = services[i];
			}
			if(media.toUpperCase().indexOf('QQ') === 0){
				shareServiceEntity = shareService['qq'];
				shareServiceEntityType = 'text'
			}else if(media.toUpperCase().indexOf('WX') === 0){
				shareServiceEntity = shareService['weixin'];
				shareServiceEntityType = 'web'
			}
			if(shareServiceEntity && shareServiceEntity.nativeClient){
				/*
				**weixin*************************************************************************************
				*	"web"-分享网页类型，title（必填）、content（必填）、thumbs（必填）、href（网页url，必填）属性值有效；
				*	"text"-分享文字类型，content（必填）属性值有效；
				*	"image"-分享图片类型，pictures（必填）属性值有效；
				*	"music"-分享音乐类型，title（必填）、content（必填）、thumbs（必填）、media（音乐url，必填）属性值有效；
				*	"video"-分享视频类型，title（必填）、content（必填）、thumbs（必填）、media（视频url，必填）属性值有效；
				*	"miniProgram"-分享小程序类型（仅支持分享到好友），title（必填）、content（必填）、thumbs（图片小于128K，宽高比为5:4，必填）、miniProgram（小程序参数，必填）属性值有效；
				*	没有设置type时，如果href值有效则默认值为"web"，如果pictures有效则默认值为"image"，否则默认值为"text"。
				**qq*****************************************************************************************
				*	"text"-分享文字类型，href（iOS可选，Android必填）、title（必填，最长30个字符）、content（可选，最长40个字符）、pictures或thumbs（可选，优先pictures，iOS不支持）属性有效；
				*	"image"-分享图片类型，pictures或thumbs（必填，优先pictures）属性有效；
				*	"music"-分享音乐类型，title（必填，最长30个字符）、content（可选，最长40个字符）、href（必填）、media（音乐url，必填）、pictures或thumbs（可选，优先pictures）属性值有效；
				*
				*/
				var shareInfo={
					type: shareServiceEntityType,
					href: url || undefined,
					title: title,
					content: description,
					thumbs: [imageBase64],
					extra:{
						scene: media // "WXSceneSession"分享到微信的“我的好友”； "WXSceneTimeline"分享到微信的“朋友圈”中； "WXSceneFavorite"分享到微信的“我的收藏”中。 默认值为"WXSceneSession"。
					}
				};
				if (shareServiceEntity.authenticated ) {
					shareMessage(shareInfo, shareServiceEntity);
				} else {
					shareServiceEntity.authorize( function(){
						shareMessage(shareInfo, shareServiceEntity);
					},function(e){
						alert( "认证授权失败："+e.code+" - "+e.message );
					});
				}
			}
		},function(err) {
			 clearInterval(timer)
			
		}); 
	}
	shareServices(title,description,imageBase64,media,url)
	 var timer = setInterval(function(){
        shareServices(title,description,imageBase64,media,url)
    },1000);
	function shareMessage(shareInfo,shareService) {
		shareService.send(shareInfo,function(){
			// Share success 

		},function(err){
			console.log(err.code+" - "+err.message) 
		});
	}
}
// 原生登录
jingqb.prototype.nativeLogin=function(){
	if(plus.webview.currentWebview().parent()){
		plus.webview.currentWebview().parent().evalJS('nativeLogin();');
	}
}
// 设置Light主题
jingqb.prototype.setNativeLightStatusBar=function(color){
	if(plus.webview.currentWebview().parent()){
		plus.webview.currentWebview().parent().evalJS('setNativeLightStatusBar("'+color+'");');
	}
}
// 设置dark主题
jingqb.prototype.setNativeDarkStatusBar=function(color){
	if(plus.webview.currentWebview().parent()){
		plus.webview.currentWebview().parent().evalJS('setNativeDarkStatusBar("'+color+'");');
	}
}
// 设置主题
jingqb.prototype.nativeChangeTheme=function(){
	if(plus.webview.currentWebview().parent()){
		plus.webview.currentWebview().parent().evalJS('nativeSetTheme();');
	}
}
// 是否刘海屏、全面屏
jingqb.prototype.nativeHasNotchInScreen=function(){
    if(plus.os.name === 'Android'){
		return (plus.storage.getItem('hasNotchScreen')*1 + plus.storage.getItem('isAllScreen')*1) > 0 ? '1' : '0';
	}else if(plus.os.name === 'iOS'){
		return (plus.navigator.hasNotchInScreen() || window.innerHeight - 736 > 0) ? '1' : '0';
	}
}
// 是否刘海屏
jingqb.prototype.nativeIsNotchScreen=function(){
    if(plus.os.name === 'Android'){
		return plus.storage.getItem('hasNotchScreen') === '1' ? '1' : '0';
	}else if(plus.os.name === 'iOS'){
		return (plus.navigator.hasNotchInScreen() || window.innerHeight - 736 > 0) ? '1' : '0';
	}
}
// 是否全面屏
jingqb.prototype.nativeIsAllScreen=function(){
    if(plus.os.name === 'Android'){
		return plus.storage.getItem('isAllScreen') === '1' ? '1' : '0';
	}else if(plus.os.name === 'iOS'){
		return '0';
	}
}
// 复制链接
jingqb.prototype.nativeCopy=function(txt){
    var UIPasteboard  = plus.ios.importClass('UIPasteboard');
	var generalPasteboard = UIPasteboard.generalPasteboard();
	generalPasteboard.setValueforPasteboardType(txt, 'public.utf8-plain-text');
}
// 发送短信
jingqb.prototype.nativeContacts=function(){
    if(plus.webview.currentWebview().parent()){
		plus.webview.currentWebview().parent().evalJS('nativeContacts();');
	}
}
// 获取系统信息
jingqb.prototype.nativeSystemParams=function(){
    plus.runtime.getProperty(plus.runtime.appid,function(inf){  
        return {  
            versionCode: inf.versionCode,  
            versionName: inf.version,  
            imei: plus.device.imei,  
            language: plus.os.language,  
            model: plus.device.model + '',  
            osVersion: plus.os.version,  
            vendor: plus.device.vendor  
        };  
    }); 
}
// 打开页面
jingqb.prototype.nativePager=function(page){
    if(plus.webview.currentWebview().parent()){
		plus.webview.currentWebview().parent().evalJS('nativePager("'+page+'");');
	}
}
// 是否混合开发
jingqb.prototype.nativeHybirdSystem=function(){
	if(plus.os.name === 'Android'){
		return '2'
	}else if(plus.os.name === 'iOS'){
		return '1'
	}
	return null
}
window.jingqb = new jingqb();
