function pdfPreviewInit() {
    var _BARCODE = 'PdfPreview';
    var PdfPreview = {
        preview: function(Argus1, Argus2, Argus3, Argus4, successCallback, errorCallback) {
            var success = typeof successCallback !== 'function' ? null : function(args) {
                    successCallback(args);
                },
                fail = typeof errorCallback !== 'function' ? null : function(code) {
                    errorCallback(code);
                };
            callbackID = plus.bridge.callbackId(success, fail);
            return plus.bridge.exec(_BARCODE, "preview", [callbackID, Argus1, Argus2, Argus3, Argus4]);
        }
    };
    return PdfPreview;
}
function openPDF(path, filePath, query, pageTitle, themeVip) {
    switch (plus.os.name) {
        case "Android":
            var pdfUrl = $.protocol + '://' + $.hostname + $.port + $.sub + path;
            pdfUrl = pdfUrl + query;
            console.log(plus.PdfPreview);
            plus.PdfPreview.preview({
                path: path,
                filepath: filePath,
                query: query,
                pathUrl: pdfUrl,
                pageTitle: pageTitle || '合同',//默认值同downloadPDF.html页面
                themeVip: themeVip || false
            });
            break;
        case "iOS":
            $.createWV('downloadPDF.html', null, {
                path: path,
                filepath: filePath,
                query: query,
                pageTitle: pageTitle,
                themeVip: themeVip
            });
            break;
        default:
            break;
    }
}