var _agreementContent = '';
var _agreementTitle = '';
var _agreementList;
var _signAgreement = {};
var isChecked = false;

function signTrustInit(currentWebview) {
    var _BARCODE = 'SignTrust';
    var SignTrust = {
        signTrust: function(Argus1, successCallback, errorCallback) {
            var success = typeof successCallback !== 'function' ? null : function(args) {
                    successCallback(args);
                },
                fail = typeof errorCallback !== 'function' ? null : function(code) {
                    errorCallback(code);
                };
            callbackID = plus.bridge.callbackId(success, fail);
            return plus.bridge.exec(_BARCODE, "signTrust", [callbackID, Argus1]);
        }
    };
    return SignTrust;
}

function loadCommitment(agreementList) {
    agreementList = agreementList || [];
    _agreementList = [];
    Array.prototype.push.apply(_agreementList, agreementList);
    if(_agreementContent === ''){
        var postData = {
            accessToken: $.UserInfo.accessToken(),
            agreementCode: 'JINGQB18'
        };
        $.getContent('/home/readAgreement', 'POST', postData, function(result) {
            if (!$.isInherentCode(result, true)) {
                if (result.resultCode === 'S00000') {
                    _agreementContent = result.agreementContent;
                    _agreementTitle = result.agreementTitle || '签署材料';
                    androidSignTrust();
                } else {
                    plus.nativeUI.alert(result.resultMsg, null, null, '确定');
                }
            }
        }, false);
    }else{
        androidSignTrust();
    }
}

function androidSignTrust() {
    do{
        _signAgreement = _agreementList.shift() || {};
    }while(_signAgreement.approvedStatus === '0' || _signAgreement.approvedStatus === '1');
    if(_signAgreement.name === undefined){
        canAutoSubmit = true;
        return;
    }
    var pdfUrl = $.protocol + '://' + $.hostname + $.port + $.sub;
    var path = '/file/downloadFile';
    var query = '?accessToken=' + encodeURIComponent($.UserInfo.accessToken()) + '&fileType=99&filePath=' + encodeURIComponent(_signAgreement.path) + '&deviceId=' + $.condition.deviceId() + '&appVersion=' + $.condition.appVersion() + '&apiVersion=' + $.condition.appVersion();
    _signAgreement.pdfPath = pdfUrl + path + query;
    var args = {
        eleSignDeclare: {
            isChecked: isChecked,
            agreementContent: _agreementContent,
            agreementTitle: _agreementTitle
        },
        signAgreement: _signAgreement,
        signBase64: ""
    }
    plus.SignTrust.signTrust(args, function(result) {
        isChecked = result.eleSignDeclare.isChecked;
        submitSignTrust(result.signBase64);
    }, function(err) {

    })
}
function submitSignTrust(base64) {
    var productId = plus.webview.currentWebview().productId;
    var orderId = plus.webview.currentWebview().orderId;
    var postData = {
        accessToken: $.UserInfo.accessToken(),
        code: _signAgreement.code,
        productId: productId,
        orderId: orderId,
        signatureBase64: base64
    };
    $.getContent('/trade/submitOrderAgreement','POST',postData,function(result){
        if (!$.isInherentCode(result,true)) {
            if (result.resultCode === 'S00000') {
                canAutoSubmit = false;
                if (plus.webview.getWebviewById('trade_purchasingHFNonstandard_step2.html')) {
                    plus.webview.getWebviewById('trade_purchasingHFNonstandard_step2.html').evalJS('updateState("'+_signAgreement.code+'");');
                }
                if (plus.webview.getWebviewById('trade_purchasingHFNonstandard_step3.html')) {
                    plus.webview.getWebviewById('trade_purchasingHFNonstandard_step3.html').evalJS('updateState("'+_signAgreement.code+'");');
                }
                plus.nativeUI.alert('签署成功',function(e){
                    if(e.index==-1){
                        canAutoSubmit = true;
                        return;
                    }
                    if(_agreementList.length === 0){
                        canAutoSubmit = true;
                        
                    }else{
                        androidSignTrust();
                    }
                },null,'确定并继续');
            } else {
                plus.nativeUI.alert(result.resultMsg,null,null,'确定');
            }
        }
    });
}