function verfyCodeInit(currentWebview) {
	var _BARCODE = 'VerfyCode';// 声明的JS“扩展插件别名”
    var B = window.plus.bridge;
    var verfyCode = {
        verfyCodeInit:function(){
            return B.execSync(_BARCODE, "verfyCodeInit", []);
        },
        verfyCodeDestroy:function(){
            return B.execSync(_BARCODE, "verfyCodeDestroy", []);
        }
    };
    return verfyCode;
}
function idCardInit(currentWebview) {
    var _BARCODE = 'IdCard';// 声明的JS“扩展插件别名”
    var B = window.plus.bridge;

    var idCard = {
        startIdCard:function(successCallback, errorCallback){

            var success = typeof successCallback !== 'function' ? null : function(args) {
                successCallback(args);
            },fail = typeof errorCallback !== 'function' ? null : function(code){
                errorCallback(code);
            }

            callbackID = B.callbackId(success, fail);

            return B.exec(_BARCODE, "startIdCard", [callbackID]);
        },autoIdCard:function(successCallback, errorCallback,args){
            var success = typeof successCallback !== 'function' ? null : function(args) {
                successCallback(args);
            },fail = typeof errorCallback !== 'function' ? null : function(code){
                errorCallback(code);
            }

            callbackID = B.callbackId(success, fail);

            var param = [callbackID];
            param = param.concat(args);

            return B.exec(_BARCODE, "autoIdCard", param);
        }
    }
    return idCard;
}
function faceVerifyInit(currentWebview) {
    var _BARCODE = 'Face';// 声明的JS“扩展插件别名”
    var B = window.plus.bridge;

    var faceVerify = {
        startFaceVerify:function(successCallback, errorCallback){

            var success = typeof successCallback !== 'function' ? null : function(args) {
                successCallback(args);
            },fail = typeof errorCallback !== 'function' ? null : function(code){
                errorCallback(code);
            }

            callbackID = B.callbackId(success, fail);

            return B.exec(_BARCODE, "startFaceVerify", [callbackID]);
        }
    }
    return faceVerify;
}
function touchIdInit(currentWebview) {
    var _BARCODE = 'TouchID';// 声明的JS“扩展插件别名”
    var B = window.plus.bridge;

    var touchId = {
        deviceVerify:function(){
            return B.execSync(_BARCODE, "deviceVerify", [' ']);
        },
        deviceFaceIDVerify: function(){
        	return B.execSync(_BARCODE, "deviceFaceIDVerify", [' ']);
        },
        settingVerify:function(){
            return B.execSync(_BARCODE, "settingVerify", [' ']);
        },
        startVerify:function(successCallback, errorCallback){
            var success = typeof successCallback !== 'function' ? null : function(args) {
                successCallback(args);
            },fail = typeof errorCallback !== 'function' ? null : function(code){
                errorCallback(code);
            }
            callbackID = B.callbackId(success, fail);
            return B.exec(_BARCODE, "startVerify", [callbackID]);
        }
    }
    return touchId;
}
function slRecordInit(currentWebview) {
    var _BARCODE = 'SLRecord';// 声明的JS“扩展插件别名”
    var B = window.plus.bridge;
    var SLRecord = {
        pushRecord:function(successCallback,errorCallback,authenticationUrl){
            var success = typeof successCallback !== 'function' ? null : function(args) {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code) 
            {
                errorCallback(code);
            };
            callbackID = B.callbackId(success, fail);
            return B.exec(_BARCODE, "pushRecord", [callbackID,authenticationUrl]);
        },
        pushSignature:function(successCallback,errorCallback){
            var success = typeof successCallback !== 'function' ? null : function(args) {
                successCallback(args);
            },
            fail = typeof errorCallback !== 'function' ? null : function(code) 
            {
                errorCallback(code);
            };
            callbackID = B.callbackId(success, fail);
            return B.exec(_BARCODE, "pushSignature", [callbackID]);
        }
    };
    return SLRecord;
}
function bankCardInit(currentWebview) {
    var _BARCODE2 = 'BankCard';// 声明的JS“扩展插件别名”
    var BG = window.plus.bridge;

    var bankCard = {
        startBankcard:function(successCallback, errorCallback){

            var success = typeof successCallback !== 'function' ? null : function(args) {
                successCallback(args);
            },fail = typeof errorCallback !== 'function' ? null : function(code){
                errorCallback(code);
            }

            callbackID = BG.callbackId(success, fail);

            return BG.exec(_BARCODE2, "startBankcard", [callbackID]);
        }
    }
    return bankCard;
}
function screenAttributeInit(currentWebview) {
    var _BARCODE = 'ScreenAttribute';// 声明的JS“扩展插件别名”
    var B = window.plus.bridge;

    var ScreenAttribute = {
        screenAttribute:function(){
            return B.execSync(_BARCODE, "screenAttribute", [' ']);
        }
    }
    return ScreenAttribute;
}
