package io.dcloud.feature.face.ui;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class FaceVerifyStartActivity extends Activity {

	private static final String TAG = FaceVerifyStartActivity.class.getSimpleName();

    private Button startLivenessButton;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(getResources().getIdentifier("activity_face_verify_start", "layout", getPackageName()));

        startLivenessButton = (Button) findViewById(getResources().getIdentifier("oliveappStartLivenessButton", "id", getPackageName()));
        startLivenessButton.setOnClickListener(mOnStartLivenessClickListener);
        
        setResult(Activity.RESULT_CANCELED);
    }

    private static final int PERMISSION_READ_EXTERNAL_STORAGE = 101;
    private static final int PERMISSION_WRITE_EXTERNAL_STORAGE = 102;
    private static final int PERMISSION_CAMERA = 103;

    private boolean requestPermission() {
//        if (ContextCompat.checkSelfPermission(this, Manifest.permission.WRITE_EXTERNAL_STORAGE) == PackageManager.PERMISSION_DENIED) {
//            ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.WRITE_EXTERNAL_STORAGE}, PERMISSION_WRITE_EXTERNAL_STORAGE);
//            return false;
//        }
//        if (ContextCompat.checkSelfPermission(this, Manifest.permission.READ_EXTERNAL_STORAGE) == PackageManager.PERMISSION_DENIED) {
//            ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.READ_EXTERNAL_STORAGE}, PERMISSION_READ_EXTERNAL_STORAGE);
//            return false;
//        }
//        if (ContextCompat.checkSelfPermission(this, Manifest.permission.CAMERA) == PackageManager.PERMISSION_DENIED) {
//            ActivityCompat.requestPermissions(this, new String[]{Manifest.permission.CAMERA}, PERMISSION_CAMERA);
//            return false;
//        }

        return true;
    }

//    @SuppressLint("NewApi")
//	@Override
//    public void onRequestPermissionsResult(int requestCode, String permissions[], int[] grantResults) {
//        try {
//            switch (requestCode) {
//                case PERMISSION_CAMERA: {
//                    if (grantResults.length > 0 && grantResults[0] == PackageManager.PERMISSION_GRANTED) {
//                        startLivenessButton.callOnClick();
//                    } else {
//                        Toast.makeText(this, "没有摄像头权限我什么都做不了哦!", Toast.LENGTH_LONG).show();
//                    }
//                    break;
//                }
//                case PERMISSION_READ_EXTERNAL_STORAGE: {
//                    if (grantResults.length > 0 && grantResults[0] == PackageManager.PERMISSION_GRANTED) {
//                        startLivenessButton.callOnClick();
//                    } else {
//                        Toast.makeText(this, "请打开存储读写权限，确保APP正常运行", Toast.LENGTH_LONG).show();
//                    }
//                    break;
//                }
//                case PERMISSION_WRITE_EXTERNAL_STORAGE: {
//                    if (grantResults.length > 0 && grantResults[0] == PackageManager.PERMISSION_GRANTED) {
//                        startLivenessButton.callOnClick();
//                    } else {
//                        Toast.makeText(this, "请打开存储读写权限，确保APP正常运行", Toast.LENGTH_LONG).show();
//                    }
//                    break;
//                }
//            }
//        } catch (Exception e) {
//            Log.e(TAG, "Failed to request permission", e);
//        }
//    }

    private View.OnClickListener mOnStartLivenessClickListener = new View.OnClickListener() {
        @Override
        public void onClick(View view) {
            // Request Permission
            if (requestPermission()) {
                Intent i = new Intent(FaceVerifyStartActivity.this, FaceVerifyMainActivity.class);
                startActivityForResult(i, 1);
            }
        }
    };

	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		super.onActivityResult(requestCode, resultCode, data);
		
		if(requestCode == 1 && resultCode == Activity.RESULT_OK){
			setResult(Activity.RESULT_OK,data);
			this.finish();
		}else if(requestCode == 1 && resultCode == 999){
			setResult(999);
			this.finish();
		}
	}

}
